org.eclipse.emf.cdo.expressions.impl

## Class EvaluationContextImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - org.eclipse.emf.cdo.expressions.impl.EvaluationContextImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,Object>, EvaluationContext

      public class EvaluationContextImpl
      extends HashMap<String,Object>
      implements EvaluationContext

  A `HashMap`-based default implementation of an `EvaluationContext`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationContextImpl()`
    `EvaluationContextImpl(int initialCapacity)`
    `EvaluationContextImpl(int initialCapacity, float loadFactor)`
    `EvaluationContextImpl(Map<? extends String,? extends Object> m)`
    `EvaluationContextImpl(Object thisValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClass(String name)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.EvaluationContext

      `get`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EvaluationContextImpl

          public EvaluationContextImpl()

    - #### EvaluationContextImpl

          public EvaluationContextImpl(int initialCapacity,
                                       float loadFactor)

    - #### EvaluationContextImpl

          public EvaluationContextImpl(int initialCapacity)

    - #### EvaluationContextImpl

          public EvaluationContextImpl(Map<? extends String,? extends Object> m)

    - #### EvaluationContextImpl

          public EvaluationContextImpl(Object thisValue)

  - ### Method Detail

    - #### getClass

          public Class<?> getClass(String name)

      Specified by:
        `getClass` in interface `EvaluationContext`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html